package com.ss.android.ugc.aweme.compliance.protection.antiaddiction.api;

import X.JMA;
import X.PUw;
import X.PgU;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.app.api.Api;
import com.ss.android.ugc.aweme.services.RetrofitService;
import kotlin.h.b.n;

public final class TiktokRelieveAwemeApi {
    public static final RealApi LIZ;
    public static final TiktokRelieveAwemeApi LIZIZ = new TiktokRelieveAwemeApi();

    public interface RealApi {
        static {
            Covode.recordClassIndex(62028);
        }

        @JMA(LIZ = "/aweme/v1/addiction/aweme/")
        PgU<TiktokRelieveAweme> getTiktokRelieveAweme(@PUw(LIZ = "type") int i);
    }

    static {
        Covode.recordClassIndex(62027);
        Object create = RetrofitService.createIRetrofitServicebyMonsterPlugin(false).createNewRetrofit(Api.LIZLLL).create(RealApi.class);
        n.LIZIZ(create, "");
        LIZ = (RealApi) create;
    }
}
